Cannot install ApSIC Xbench Plugin for SDL Trados Studio 2014 / 2015 / 2017 on my PC in which Trados Studio 2017 already installed


#1

Hello, I’m using the newest Trados Studio (SDL Trados Studio 2017 Professional - 14.0.5889.5) on my Windows 10 PC, and tried to run the current installer for ApSIC Xbench Plugin for SDL Trados Studio 2014 / 2015 / 2017 - Build 12 (Setup.Xbench.Plugin.Studio.3.0.12.f.exe).

But failed. The appeared massage said “SDL Trados Studio 2014 SP1 or greater is not installed or your version of SDL Trados Studio is not compatible with this installer.”

As mentioned above, the installed version of Trados Studio on my PC is clearly greataer than the minimum version. So I’m confused.

Could you possibly let me know how I can resolve this problem?


#2

There was a SDL Trados Studio 2017 installer key that was not recognized by the Xbench plugin installer. The Xbench plugin installer has been updated and can be downloaded here.